@import '../../../../public/assets/styles/variables';
@import '../../../../public/assets/styles/functions';

.cart-section {
    display: flex;
    justify-content: space-between;
    flex: 1;
    padding: get-vw(60px) get-vw(162px);
    background: linear-gradient(to bottom, #ffffff 0%, #f3f3f3 100%);
    @media (max-width: 799px) {
        padding: vw-m(40px) vw-m(50px);
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}

.cart-list {
    width: 46%;
    height: max-content;
    padding: get-vw(48px) get-vw(41px);
    background: linear-gradient(180deg, #FDFDFD 7.15%, #EEEEEE 100%);
    box-shadow: inset 7px 4px 8px rgba(217, 217, 217, 0.35), inset -4px -4px 4px rgba(255, 255, 255, 0.55);
    border-radius: get-vw(37px);
    @media (max-width: 799px) {
        width: 100%;
        padding: 0;
        margin-bottom: vw-m(30px);
        background: none;
        box-shadow: none;
    }
    &__title {
        padding-bottom: get-vw(70px);
        font-weight: normal;
        font-size: get-rem(32px);
        line-height: 1.3;
        letter-spacing: 0.01em;
        color: $accent-color;
        @media (max-width: 799px) {
            padding-bottom: vw-m(32px);
            font-size: 30px;
            line-height: 42px;
            color: $text-color;
        }
    }
    &__total-sale {
        margin-bottom: get-vw(29px);
        font-weight: normal;
        font-size: get-rem(42px);
        line-height: get-rem(55px);
        letter-spacing: 0.01em;
        color: $error-color;
        @media (max-width: 799px) {
            margin-bottom: vw-m(24px);
            font-size: 20px;
            line-height: 26px;
        }
    }
    &__additional-info {
        font-weight: normal;
        font-size: get-rem(18px);
        line-height: get-rem(32px);
        letter-spacing: 0.01em;
        color: $text-color;
        @media (max-width: 799px) {
            font-size: 18px;
            line-height: 32px;
        }
    }
    &__button {
        display: none !important;
        @media (max-width: 799px) {
            display: flex !important;
            margin: 32px auto !important;
        }
    }
}

.product {
    display: flex;
    align-items: center;
    margin-bottom: get-vw(14px);
    @media (max-width: 1270px) {
        margin-bottom: get-vw(32px);
        flex-direction: column;
        align-items: flex-start;
    }
    @media (max-width: 799px) {
        margin-bottom: vw-m(32px);
    }
    @media (max-width: 576px) {
        flex-direction: column;
        align-items: flex-start;
    }
    &__name {
        font-weight: 500;
        font-size: get-rem(24px);
        line-height: 1.3;
        color: $accent-color;
        @media (max-width: 799px) {
            font-size: 24px;
        }
    }
    &__quantity-wrap {
        display: flex;
        align-items: center;
        @media (max-width: 799px) {
            margin-top: 8px;
        }
    }
    &__quantity {
        display: flex;
        align-items: center;
        font-weight: 500;
        font-size: get-rem(24px);
        line-height: 1.3;
        letter-spacing: 0.03em;
        color: $text-color;
        @media (max-width: 799px) {
            font-size: 24px;
        }
    }
    &__price-wrap {
        display: flex;
        align-items: center;
        @media (max-width: 799px) {
            margin-top: 8px;
        }
    }
    &__price {
        font-weight: 500;
        font-size: get-rem(24px);
        line-height: 1.3;
        letter-spacing: 0.03em;
        color: $accent-color;
        @media (max-width: 799px) {
            font-size: 24px;
        }
    }
    &__counter {
        display: flex;
        align-items: center;
        margin-left: get-vw(12px);
        @media (max-width: 799px) {
            margin-left: vw-m(12px);
        }
    }
    &-action-btn {
        width: 23px;
        height: 23px;
        background-repeat: no-repeat;
        background-size: contain;
        cursor: pointer;
    }
    &__remove {
        background-image: url('/assets/images/icons/remove-icon.svg');
    }
    &__add {
        margin-left: get-vw(7px);
        @media (max-width: 799px) {
            margin-left: vw-m(7px);
        }
        background-image: url('/assets/images/icons/add-icon.svg');
    }
    &:last-child {
        margin-bottom: 0;
    }
}

.multiply, .equally {
    margin: 0 get-vw(12px);
    font-size: get-rem(20px);
    font-weight: 600;
    line-height: 1;
    color: $text-color;
    @media (max-width: 799px) {
        margin: 0 vw-m(12px) 0 0;
        font-size: 20px;
    }
}

.total-order {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin: get-vw(79px) 0 get-vw(69px);
    padding: get-vw(29px) 0;
    background: linear-gradient(180deg, #FDFDFD 7.15%, #EEEEEE 100%);
    box-shadow: inset 7px 4px 8px rgba(217, 217, 217, 0.35), inset -4px -4px 4px rgba(255, 255, 255, 0.55);
    border-radius: get-vw(37px);
    @media (max-width: 799px) {
        flex-direction: column;
        align-items: flex-start;
        padding: vw-m(15px) 0;
        margin: vw-m(20px) 0 vw-m(10px) 0;
        background: none;
        box-shadow: none;
    }
    &__title {
        margin-right: get-vw(10px);
        font-weight: normal;
        font-size: get-rem(18px);
        line-height: get-rem(32px);
        letter-spacing: 0.01em;
        color: $text-color;
        @media (max-width: 799px) {
            margin-bottom: vw-m(16px);
            margin-right: 0;
            font-size: 18px;
            line-height: 32px;
        }
    }
    &__value {
        font-weight: normal;
        font-size: get-rem(32px);
        line-height: get-rem(37px);
        color: $accent-color;
        @media (max-width: 799px) {
            font-weight: 500;
            font-size: 29px;
            line-height: 37px;
        }

    }
}

.order-panel {
    width: 46%;
    height: max-content;
    padding: get-vw(67px) get-vw(64px) get-vw(80px);
    background: linear-gradient(180deg, #FDFDFD 7.15%, #E7E7E7 100%);
    box-shadow: 20px 23px 50px rgba(130, 130, 130, 0.23), inset -16px 14px 15px #FFFFFF, inset -14px -7px 15px #E1E1E1;
    border-radius: get-vw(72px);
    @media (max-width: 799px) {
        width: 100%;
        padding: 0;
        margin-bottom: vw-m(30px);
        background: none;
        box-shadow: none;
    }
    &__title {
        margin-bottom: get-vw(64px);
        font-weight: normal;
        font-size: get-rem(32px);
        line-height: get-rem(42px);
        letter-spacing: 0.01em;
        color: $text-color;
        @media (max-width: 799px) {
            font-size: 30px;
            line-height: 42px;
           margin-bottom: vw-m(32px);
        }
    }
}

.order-form {
    display: flex;
    flex-direction: column;
    &__button-wrap {
        position: relative;
    }
    &__button {
        margin: get-vw(28px) auto 0 auto;
        @media (max-width: 799px) {
            margin: vw-m(40px) auto 0 auto;
         }
    }
    &__contact-info {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        @media (max-width: 799px) {
            flex-direction: column;
        }
        .text-field {
            width: 49%;
            @media (max-width: 799px) {
                width: 100%;
            }
        }
    }
    &__isCallBack {
        margin-bottom: get-vw(30px);
        margin-right: 0 !important;
        .MuiFormControlLabel-label {
            color: #212121;
            font-size: get-rem(15px);
            font-weight: 300;
            @media (max-width: 799px) {
                font-size: 15px;
            }

        }
    }
    .field {
        @media (max-width: 799px) {
            margin-bottom: vw-m(25px) !important;
        }
    }
}

.radio-group {
    flex-direction: row !important;
    margin: get-vw(10px) 0 get-vw(15px) get-vw(7px);
    @media (max-width: 799px) {
        margin: vw-m(10px) 0 vw-m(5px) 0;
    }
}

.radio-label {
    font-weight: 300 !important;
    font-size: get-rem(15px) !important;
    line-height: get-rem(18px) !important;
    color: #212121 !important;
    @media (max-width: 799px) {
        font-size: 15px !important;
        line-height: 18px !important;
    }
}

.text-field {
    margin-bottom: get-vw(30px) !important;
}

.error-message {
    position: absolute;
    top: get-vw(-15px);
    left: 50%;
    width: 100%;
    font-size: get-rem(16px);
    line-height: get-rem(28px);
    text-align: center;
    color: $error-color;
    transform: translateX(-50%);
}

.success-message {
    font-size: get-rem(22px);
    line-height: get-rem(36px);
    text-align: center;
    color: $accent-color;
}

.check-icon {
    width: get-vw(130px);
    height: get-vw(130px);
    margin: 0 auto get-vw(30px) auto;
    background-image: url('/assets/images/icons/check-icon.svg');
    background-repeat: no-repeat;
    background-size: cover;
}